#Possible arguments:
#Material: MATERIAL_TYPE - specifies which material type of items you want to choose as objective to enchant
#Enchantments: - specifies which enchantments needed to pass objective
#  ENCHANTMENT_TYPE: LEVEL
#  ENCHANTMENT_TYPE: LEVEL
#  ...
#IMPORTANT! if enchants are not specified, players will pass objective in any enchantment case on table
#Name: NAME - defines name of an objectvie to bind it to some quest(s)
#WinType: BY_AMOUNT_IN_TIME/BY_MAX_AMOUNT_IN_TIME - defines type of an objectve
#BY_AMOUNT_IN_TIME - objective may be completed by some amount of players defined in PossiblePassedPlayerAmount section according to amount
#between MaxAmount and MinAmount
#BY_MAX_AMOUNT_IN_TIME - objectvie may be completed only by one player, who do as much as possible
#PossiblePassedPlayerAmount: AMOUNT - defines amount of players, who can pass an objective with type BY_AMOUNT_IN_TIME
#MaxAmount: AMOUNT - defines maximum amount of repetion to pass objective (BY_AMOUNT_IN_TIME) (used for randomize amount of repetions in same objective)
#MinAmount: AMOUNT - defines minimum amount of repetion to pass objective (BY_AMOUNT_IN_TIME) (used for randomize amount of repetions in same objective)
#Time: AMOUNT - defines time while objective is active (in seconds)
#Worlds: - defines worlds where objective can be passed
#  - world1
#  - world2
#  - ...
#RegionRule: EXCLUDE_ALL/INCLUDE_ALL/EXCLUDE/INCLUDE/STRICT - defines rule of interactions with WorldGuard regions
#EXCLUDE_ALL - players cannot pass objective in any region
#INCLUDE_ALL - players can pass objective in any region
#EXCLUDE - players cannot pass objective in listed regions
#INCLUDE - players can pass objective in listed regions
#STRICT - players can pass objective ONLY in listed regions
#RegionNames: - defines regions for RegionRule section (just names of regions)
#  - region1
#  - region2
#  - ...

Name: ExampleEnchantItemObjective
ObjectiveType: ENCHANT_ITEM
Material: fishing_rod
WinType: BY_AMOUNT_IN_TIME
PossiblePassedPlayerAmount: 3
MaxAmount: 2
MinAmount: 1
Time: 120
Enchantments:
  LURE: 3
Worlds:
  - world